public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/libproxy/
Date: Sun,  7 Apr 2024 15:45:53 +0000 (UTC)	[thread overview]
Message-ID: <1712504725.fea07b72d07d7fd5ac3e29ed2c337325467af3d6.pacho@gentoo> (raw)

commit:     fea07b72d07d7fd5ac3e29ed2c337325467af3d6
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  7 15:45:25 2024 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Apr  7 15:45:25 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fea07b72

net-libs/libproxy: add 0.5.5

Bug: https://bugs.gentoo.org/907899
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 net-libs/libproxy/Manifest              |  1 +
 net-libs/libproxy/libproxy-0.5.5.ebuild | 68 +++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/net-libs/libproxy/Manifest b/net-libs/libproxy/Manifest
index 7634549b162f..c3d88e10923c 100644
--- a/net-libs/libproxy/Manifest
+++ b/net-libs/libproxy/Manifest
@@ -1,2 +1,3 @@
 DIST libproxy-0.5.3.tar.gz 60069 BLAKE2B adfa982344470251667b113f12f77722f6793ceeec902ccf82e32e80e15836384fbe1ccbec8865fc877fa04b25e6985847eef75b4ce437dbf0410d16e2bd5f36 SHA512 0fa4c677372afa76a9f143abb1472af1df85e1190425ec4168b98e575a9b9c9fe3dcc56062609da8ef266d56dfb153e7f7a1c15aed2d385003d9f3f421d08590
 DIST libproxy-0.5.4.tar.gz 60605 BLAKE2B b603781d454ae9d177522d85027f763275e6f243579e8dd808fc5f740438105ac9f782bd35c39cb0007f42279d8d4f724a81dd06fc79709af227064a477cd70e SHA512 4372570322682369f65317cbeb4e9b9dbcff3d8e5089a3bb3b8efa6cd461468a313793435fd5815fe18360984c44e6895c3c2a62e5e0b07eb0c3bf3532dbb1b2
+DIST libproxy-0.5.5.tar.gz 60880 BLAKE2B fedf06db2e39ca1cacf489542597ab002a8c943234fda2f9e5482d43d3b3b0a5af2c4d270eb678e24bb3c4c9ac8e37e65d609af84d02be9541555e953be6a0f5 SHA512 101139fe6972c9b8b46a8bc5f5cea807649ad21e201a9cd7d532d2145c34eadc861d8039fc8a2bf129f364ddc99ffb1324ab8f19bb0b4b9e52eb0f6bd703c8a8

diff --git a/net-libs/libproxy/libproxy-0.5.5.ebuild b/net-libs/libproxy/libproxy-0.5.5.ebuild
new file mode 100644
index 000000000000..b0c3841f68a2
--- /dev/null
+++ b/net-libs/libproxy/libproxy-0.5.5.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson-multilib vala
+
+DESCRIPTION="Library for automatic proxy configuration management"
+HOMEPAGE="https://github.com/libproxy/libproxy"
+SRC_URI="https://github.com/libproxy/libproxy/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="duktape gnome gtk-doc +introspection test vala"
+REQUIRED_USE="
+	gtk-doc? ( introspection )
+	vala? ( introspection )
+"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	>=dev-libs/glib-2.71.3:2[${MULTILIB_USEDEP}]
+	gnome? ( gnome-base/gsettings-desktop-schemas )
+	duktape? (
+		dev-lang/duktape:=
+		net-misc/curl
+	)
+	introspection? ( dev-libs/gobject-introspection )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+	virtual/pkgconfig
+	gtk-doc? ( dev-util/gi-docgen )
+	vala? ( $(vala_depend) )
+"
+
+src_prepare() {
+	use vala && vala_setup
+	default
+}
+
+multilib_src_configure() {
+	local emesonargs=(
+		$(meson_native_use_bool gtk-doc docs)
+		$(meson_use test tests)
+		-Dconfig-env=true
+		$(meson_use gnome config-gnome)
+		-Dconfig-windows=false
+		-Dconfig-sysconfig=true
+		-Dconfig-osx=false
+		-Dconfig-kde=true
+		$(meson_native_use_bool duktape pacrunner-duktape)
+		$(meson_native_use_bool vala vapi)
+		$(meson_use duktape curl)
+		$(meson_native_use_bool introspection)
+	)
+	meson_src_configure
+}
+
+multilib_src_install_all() {
+	einstalldocs
+
+	if use gtk-doc; then
+		mkdir -p "${ED}"/usr/share/gtk-doc/html/ || die
+		mv "${ED}"/usr/share/doc/${PN}-1.0 "${ED}"/usr/share/gtk-doc/html/ || die
+	fi
+}


             reply	other threads:[~2024-04-07 15:45 UTC|newest]

Thread overview: 94+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-07 15:45 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-09 20:10 [gentoo-commits] repo/gentoo:master commit in: net-libs/libproxy/ Andreas Sturmlechner
2025-01-09  0:08 Sam James
2024-12-14 17:47 Sam James
2024-12-09 19:20 Arthur Zamarin
2024-12-08 18:26 Sam James
2024-12-08 17:34 Arthur Zamarin
2024-12-08 17:34 Arthur Zamarin
2024-12-08 17:34 Arthur Zamarin
2024-12-08 17:34 Arthur Zamarin
2024-10-30 15:28 Matt Turner
2024-09-10 19:27 Andreas Sturmlechner
2024-06-16 19:11 Arthur Zamarin
2024-05-05  9:33 Sam James
2024-05-05  9:33 Sam James
2024-05-05  9:33 Sam James
2024-05-05  9:33 Sam James
2024-05-05  8:18 Sam James
2024-05-05  8:18 Sam James
2024-05-05  8:18 Sam James
2024-03-26 16:32 Andreas Sturmlechner
2024-03-26 16:32 Andreas Sturmlechner
2024-02-24 20:15 Matt Turner
2023-07-21 23:01 Matt Turner
2023-07-19 15:07 Sam James
2023-07-19  9:33 Sam James
2023-07-18 21:25 Sam James
2023-07-18 21:25 Sam James
2023-07-18 21:25 Sam James
2023-07-18 21:25 Sam James
2023-07-09  7:59 Sam James
2023-06-17  2:25 Sam James
2023-06-17  2:25 Sam James
2023-05-16 23:32 Matt Turner
2022-08-17 14:29 Sam James
2022-08-17 13:09 Agostino Sarubbo
2022-08-17  4:53 Arthur Zamarin
2022-08-17  4:53 Arthur Zamarin
2022-08-17  4:53 Arthur Zamarin
2022-08-16 18:17 Arthur Zamarin
2022-08-16 18:16 Arthur Zamarin
2022-05-26  4:45 WANG Xuerui
2021-05-21  0:51 Yixun Lan
2021-02-26 21:19 Andreas Sturmlechner
2021-02-25 11:30 Sam James
2021-02-18 21:47 Sam James
2021-02-18  8:39 Sam James
2021-02-17  0:10 Sam James
2021-02-12 13:47 Sam James
2021-02-11  9:30 Sam James
2020-12-31  1:38 Sam James
2020-12-31  1:38 Sam James
2020-12-21  9:41 Sergei Trofimovich
2020-12-20 16:40 Thomas Deutschmann
2020-12-18 10:25 Sergei Trofimovich
2020-12-18 10:16 Sergei Trofimovich
2020-12-17 11:54 Sam James
2020-12-17 11:41 Sam James
2020-12-17  7:59 Sam James
2020-03-29  8:38 Mart Raudsepp
2020-02-24 13:11 Agostino Sarubbo
2020-02-24 11:43 Agostino Sarubbo
2020-02-24 11:31 Agostino Sarubbo
2020-02-24 11:28 Agostino Sarubbo
2020-02-24 10:07 Agostino Sarubbo
2020-02-20 18:47 Sergei Trofimovich
2020-02-20 18:47 Sergei Trofimovich
2020-02-18 16:24 Agostino Sarubbo
2020-01-16 19:44 Andreas Sturmlechner
2020-01-16 19:42 Andreas Sturmlechner
2020-01-16 19:42 Andreas Sturmlechner
2020-01-16 19:14 Ben Kohler
2020-01-13 19:26 Andreas Sturmlechner
2018-06-28 19:05 Andreas Sturmlechner
2018-03-25 20:40 Gilles Dartiguelongue
2017-06-23 11:44 Alexis Ballier
2017-02-11 14:49 Pacho Ramos
2017-02-10 18:47 Pacho Ramos
2017-01-29 19:33 Fabian Groffen
2016-08-17  4:19 Jeroen Roovers
2016-08-17  3:53 Jeroen Roovers
2016-07-06  9:23 Agostino Sarubbo
2016-06-25 20:14 Agostino Sarubbo
2016-06-11 16:44 Agostino Sarubbo
2016-06-08 19:35 Markus Meier
2016-06-01 15:10 Tobias Klausmann
2016-05-08  9:26 Pacho Ramos
2016-05-08  4:30 Jason Zaman
2016-05-08  4:30 Jason Zaman
2016-05-08  4:30 Jason Zaman
2016-05-08  4:30 Jason Zaman
2016-05-08  4:30 Jason Zaman
2016-05-08  4:30 Jason Zaman
2016-05-08  4:30 Jason Zaman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1712504725.fea07b72d07d7fd5ac3e29ed2c337325467af3d6.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox